latex.engine.options
Prev | Pagination and General Styles | Next

## latex.engine.options

`latex.engine.options` — Extra arguments to pass to the TeX engine

## Synopsis

          <xsl:param name="latex.engine.options"/>

## Description

This parameter enables to pass some options or extra arguments to the TeX engine used to compile the latex file built by dblatex.

This can be usefull to tweak the PDF generation to meet some specific needs that cannot be set through latex commands. The following example asks to xelatex to produce PDF version 1.3 and to embed all the fonts in the PDF file:

    $ dblatex -b xetex -V -P latex.engine.options="-output-driver='xdvipdfmx -V3 -E'" file.xml
    [...]
    xelatex -output-driver=xdvipdfmx -V3 -E -interaction=batchmode file.tex
    [...]
    xelatex -output-driver=xdvipdfmx -V3 -E -interaction=batchmode file.tex
    [...]

Prev | Up | Next
draft.watermark | Home | latex.class.article